clang-tools 10.0.0

Public Types | Public Attributes | List of all members
clang::clangd::Diag Struct Reference

A top-level diagnostic that may have Notes and Fixes. More...

`#include <Diagnostics.h>`

Inheritance diagram for clang::clangd::Diag:
[legend]
Collaboration diagram for clang::clangd::Diag:
[legend]

## Public Types
enum | { Unknown, Clang, ClangTidy }

## Public Attributes
unsigned | ID
std::string | Name
enum clang::clangd::Diag:: { ... } | Source = Unknown
std::vector< Note > | Notes
| Elaborate on the problem, usually pointing to a related piece of code. More...
std::vector< Fix > | Fixes
| Alternative fixes for this diagnostic, one should be chosen. More...
Public Attributes inherited from clang::clangd::DiagBase
std::string | Message
std::string | File
llvm::Optional< std::string > | AbsFile
clangd::Range | Range
DiagnosticsEngine::Level | Severity = DiagnosticsEngine::Note
std::string | Category
bool | InsideMainFile = false

## Detailed Description

A top-level diagnostic that may have Notes and Fixes.

Definition at line 84 of file Diagnostics.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
Unknown |
Clang |
ClangTidy |

Definition at line 88 of file Diagnostics.h.

## Member Data Documentation

## ◆ Fixes

std::vector<Fix> clang::clangd::Diag::Fixes

Alternative fixes for this diagnostic, one should be chosen.

Definition at line 96 of file Diagnostics.h.

Referenced by clang::clangd::operator<<(), clang::clangd::StoreDiags::take(), and clang::clangd::toLSPDiags().

## ◆ ID

unsigned clang::clangd::Diag::ID

Definition at line 85 of file Diagnostics.h.

Referenced by clang::clangd::StoreDiags::take().

## ◆ Name

std::string clang::clangd::Diag::Name

Definition at line 86 of file Diagnostics.h.

Referenced by clang::clangd::StoreDiags::take(), and clang::clangd::toLSPDiags().

## ◆ Notes

std::vector<Note> clang::clangd::Diag::Notes

Elaborate on the problem, usually pointing to a related piece of code.

Definition at line 94 of file Diagnostics.h.

Referenced by clang::clangd::operator<<(), clang::clangd::StoreDiags::take(), and clang::clangd::toLSPDiags().

## ◆ Source

enum { ... } clang::clangd::Diag::Source

Referenced by clang::clangd::StoreDiags::take(), and clang::clangd::toLSPDiags().

The documentation for this struct was generated from the following file:

- Diagnostics.h